/**
 * Diese Klasse repraesentiert einen Punkt in der Ebene.
 * 
 * @author Prof. Dr. Hennicker
 * 
 */
public class Point {

	/**
	 * private Felder, die die x- und y-Koordinate des Punkts speichern
	 */
	private int x, y;

	/**
	 * Konstruktor eines Punkts, wobei dessen x- und y-Koordinate gegeben sein
	 * muessen.
	 * 
	 * @param x0
	 *            x-Koordinate des Punkts
	 * @param y0
	 *            y-Koordinate des Punkts
	 */
	public Point(int x0, int y0) {
		this.x = x0;
		this.y = y0;
	}

	/**
	 * Diese Methode versetzt den Punkt um dx auf der x-Achse und dy auf der
	 * y-Achse.
	 * 
	 * @param dx
	 *            gibt an, um wieviel der Punkt auf der x-Achse versetzt werden
	 *            soll
	 * @param dy
	 *            gibt an, um wieviel der Punkt auf der y-Achse versetzt werden
	 *            soll
	 */
	public void move(int dx, int dy) {
		this.x = this.x + dx;
		this.y = this.y + dy;
	}

	/**
	 * Diese Methode gibt die x-Koordinate des Punkts zurueck
	 * 
	 * @return die x-Koordinate des Punkts
	 */
	public int getX() {
		return this.x;
	}

	/**
	 * Diese Methode gibt die y-Koordinate des Punkts zurueck
	 * 
	 * @return die y-Koordinate des Punkts
	 */
	public int getY() {
		return this.y;
	}
}
